#!/bin/sh

/bin/rm -f doc/nws.client.txt doc/nws.client.html doc/nws.sleigh.txt doc/nws.sleigh.html
/bin/rm -f dist/nwsclient-*.exe

echo "Warning: Make sure you install NetWorkSpaces are this machine before"
echo "running this script.  Otherwise the documentation may not be up-to-date"

(cd doc && pydoc nws.client > nws.client.txt)
(cd doc && pydoc nws.sleigh > nws.sleigh.txt)
(cd doc && pydoc -w nws.client)
(cd doc && pydoc -w nws.sleigh)

NWS_TOP_SRCDIR=build/wintmp
NWS_DOC_SRCDIR=build/wintmp/doc
NWS_EX_SRCDIR=build/wintmp/examples
export NWS_TOP_SRCDIR NWS_DOC_SRCDIR NWS_EX_SRCDIR

/bin/rm -rf $NWS_TOP_SRCDIR
mkdir -p $NWS_TOP_SRCDIR
mkdir -p $NWS_DOC_SRCDIR
mkdir -p $NWS_EX_SRCDIR

../../misc/unix2dos.py $NWS_TOP_SRCDIR README README.Sleigh
../../misc/unix2dos.py $NWS_DOC_SRCDIR doc/*
../../misc/unix2dos.py $NWS_EX_SRCDIR examples/*

python setup.py bdist --format=wininst
